#include <stdio.h>
#include <stdlib.h>

void pisi(int n, int a[])
{
    int i,s=0,brojac=1;
    for(i=n-1; i>=0; i--)
    {
        printf("%d", a[i]);
    }
}

int main()
{
    int a,b,brojevi[1000],i=0;
    scanf("%d %d", &a, &b);
    if(b>a)
    {
        int c = a;
        a = b;
        b = c;
    }
    while(a)
    {
        if(a%10>b%10)
        {
            brojevi[i]=a%10;
        }
        else if(b%10>a%10)
        {
            brojevi[i]=b%10;
        }
        else
        {
            if(b>0)
            {
                brojevi[i]=a%10;
                i++;
                brojevi[i]=b%10;
            }
            else
            {
                brojevi[i]=a%10;
            }
        }
        i++;
        a/=10;
        b/=10;
    }
    pisi(i,brojevi);
    return 0;
}